# struct MidiFileInfo | All the information about a MIDI file. More...
Definition | `#include <midfile.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Members

- int format
- int ntracks
- int ticksPerCuarterNote
- ulong ticksTotal
- double millisecsTotal
- ulong ticksPlayed
- int patchesUsed[256]

## Detailed Description

Contains all the information about a MIDI file.

int format | ### format

int ntracks | ### ntracks

int ticksPerCuarterNote | ### ticksPerCuarterNote

ulong ticksTotal | ### ticksTotal

double millisecsTotal | ### millisecsTotal

ulong ticksPlayed | ### ticksPlayed

int patchesUsed[256] | ### patchesUsed[256]

- Version: 0.9.5 17/01/2000
- Author: Antonio Larrosa Jimenez <larrosa@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:49:53 2001, using kdoc 2.0a53.